<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.zoblak.farmalarm">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".MainScreen"
            android:label="@string/app_name"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
                    <action android:name="android.intent.action.VIEW" />
                    <category android:name="android.intent.category.DEFAULT" />
                    <category android:name="android.intent.category.BROWSABLE" />
                    <data android:scheme="http" />
                    <data android:scheme="https" />
                    <data android:host="agrar.zoblak.com" />
            </intent-filter>
        </activity>

        <service
            android:name=".AlarmPollingService"
            android:exported="false" />

        <receiver
            android:name=".PeriodicalPingReceiver"
            android:enabled="true"
            android:exported="true" />

        <activity
            android:name=".SettingsActivity"
            android:label="@string/title_activity_settings"
            android:parentActivityName=".MainScreen">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.zoblak.farmalarm.MainScreen" />
        </activity>
    </application>

</manifest>